# Organization API: Customer Portal: Mailboxes

> The 19 Organization API operations for mailboxes.

Source: https://docs.coritan.com/api/reference/organizations/customer-portal/mail-mailboxes/

Part of [Customer Portal](/api/reference/organizations/customer-portal/).

## Operations

| Method | Path | Summary |
| --- | --- | --- |
| GET | [`/api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes`](#op-get-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes) | List mailboxes |
| POST | [`/api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes`](#op-post-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes) | Create mailbox |
| DELETE | [`/api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}`](#op-delete-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id) | Delete mailbox |
| GET | [`/api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/app-passwords`](#op-get-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-app-passwor) | Mailbox app passwords |
| POST | [`/api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/app-passwords`](#op-post-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-app-passwo) | Mailbox app password create |
| DELETE | [`/api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/app-passwords/{credential_id}`](#op-delete-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-app-pass) | Mailbox app password delete |
| PATCH | [`/api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/enabled`](#op-patch-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-enabled) | Mailbox enabled |
| GET | [`/api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/imports`](#op-get-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-imports) | Mailbox imports |
| POST | [`/api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/imports`](#op-post-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-imports) | Mailbox import start |
| POST | [`/api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/imports/oauth`](#op-post-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-imports-oa) | Mailbox import sign in |
| POST | [`/api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/imports/upload`](#op-post-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-imports-up) | Mailbox import upload |
| POST | [`/api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/imports/{import_id}/{action}`](#op-post-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-imports-im) | Mailbox import steer |
| POST | [`/api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/password`](#op-post-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-password) | Mailbox password |
| PATCH | [`/api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/quota`](#op-patch-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-quota) | Mailbox quota |
| GET | [`/api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/sessions`](#op-get-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-sessions) | Mailbox sessions |
| DELETE | [`/api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/sessions`](#op-delete-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-sessions) | Mailbox sessions end |
| DELETE | [`/api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/sessions/{session_id}`](#op-delete-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-sessions) | Mailbox session end |
| POST | [`/api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/totp`](#op-post-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-totp) | Mailbox totp enable |
| DELETE | [`/api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/totp`](#op-delete-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-totp) | Mailbox totp disable |

### List mailboxes {#op-get-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes}

`GET /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |
| `service_id` | path | integer | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Create mailbox {#op-post-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes}

`POST /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |
| `service_id` | path | integer | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `domain_id` | integer | yes |
| `local_part` | string | yes |
| `password` | string or null | no |
| `display_name` | string or null | no |
| `quota_bytes` | integer or null | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `201` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Delete mailbox {#op-delete-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id}

`DELETE /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `account_id` | path | integer | yes |
| `org_slug` | path | string | yes |
| `service_id` | path | integer | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Mailbox app passwords {#op-get-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-app-passwor}

`GET /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/app-passwords`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `account_id` | path | integer | yes |
| `org_slug` | path | string | yes |
| `service_id` | path | integer | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Mailbox app password create {#op-post-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-app-passwo}

`POST /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/app-passwords`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `account_id` | path | integer | yes |
| `org_slug` | path | string | yes |
| `service_id` | path | integer | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `label` | string | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `201` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Mailbox app password delete {#op-delete-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-app-pass}

`DELETE /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/app-passwords/{credential_id}`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `account_id` | path | integer | yes |
| `credential_id` | path | string | yes |
| `org_slug` | path | string | yes |
| `service_id` | path | integer | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Mailbox enabled {#op-patch-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-enabled}

`PATCH /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/enabled`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `account_id` | path | integer | yes |
| `org_slug` | path | string | yes |
| `service_id` | path | integer | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `enabled` | boolean | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Mailbox imports {#op-get-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-imports}

`GET /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/imports`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `account_id` | path | integer | yes |
| `org_slug` | path | string | yes |
| `service_id` | path | integer | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Mailbox import start {#op-post-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-imports}

`POST /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/imports`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `account_id` | path | integer | yes |
| `org_slug` | path | string | yes |
| `service_id` | path | integer | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `preset` | string | no |
| `host` | string or null | no |
| `username` | string | yes |
| `password` | string | yes |
| `folders` | array of string | no |
| `since` | string (date) or null | no |
| `until` | string (date) or null | no |
| `trash` | boolean | no |
| `spam` | boolean | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `201` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Mailbox import sign in {#op-post-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-imports-oa}

`POST /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/imports/oauth`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `account_id` | path | integer | yes |
| `org_slug` | path | string | yes |
| `service_id` | path | integer | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `provider` | string, one of `google`, `microsoft` | yes |
| `return_path` | string or null | no |
| `since` | string (date) or null | no |
| `until` | string (date) or null | no |
| `trash` | boolean | no |
| `spam` | boolean | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Mailbox import upload {#op-post-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-imports-up}

`POST /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/imports/upload`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `account_id` | path | integer | yes |
| `org_slug` | path | string | yes |
| `service_id` | path | integer | yes |

#### Request body

`multipart/form-data` (required)

| Field | Type | Required |
| --- | --- | --- |
| `file` | string (binary) | yes |
| `kind` | string | no |
| `folder` | string | no |
| `cpanel_mailbox` | string | no |
| `trash` | boolean | no |
| `spam` | boolean | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `201` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Mailbox import steer {#op-post-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-imports-im}

`POST /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/imports/{import_id}/{action}`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `account_id` | path | integer | yes |
| `import_id` | path | integer | yes |
| `action` | path | string, one of `pause`, `resume`, `cancel` | yes |
| `org_slug` | path | string | yes |
| `service_id` | path | integer | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Mailbox password {#op-post-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-password}

`POST /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/password`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `account_id` | path | integer | yes |
| `org_slug` | path | string | yes |
| `service_id` | path | integer | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `password` | string or null | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Mailbox quota {#op-patch-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-quota}

`PATCH /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/quota`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `account_id` | path | integer | yes |
| `org_slug` | path | string | yes |
| `service_id` | path | integer | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `quota_bytes` | integer | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Mailbox sessions {#op-get-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-sessions}

`GET /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/sessions`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `account_id` | path | integer | yes |
| `org_slug` | path | string | yes |
| `service_id` | path | integer | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Mailbox sessions end {#op-delete-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-sessions}

`DELETE /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/sessions`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `account_id` | path | integer | yes |
| `org_slug` | path | string | yes |
| `service_id` | path | integer | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `204` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Mailbox session end {#op-delete-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-sessions}

`DELETE /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/sessions/{session_id}`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `account_id` | path | integer | yes |
| `session_id` | path | string | yes |
| `org_slug` | path | string | yes |
| `service_id` | path | integer | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `204` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Mailbox totp enable {#op-post-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-totp}

`POST /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/totp`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `account_id` | path | integer | yes |
| `org_slug` | path | string | yes |
| `service_id` | path | integer | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Mailbox totp disable {#op-delete-api-v1-orgs-org-slug-portal-mail-service-id-mailboxes-account-id-totp}

`DELETE /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/totp`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `account_id` | path | integer | yes |
| `org_slug` | path | string | yes |
| `service_id` | path | integer | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |
